Access Flows
100Filter access flows by the requestor identity type they serve. Allowed values: HUMAN, AGENT.
List of space IDs or names to filter results by. If omitted, returns objects from all spaces. To return only objects that belong to no space, include the special value "null" in the list
OK
GET /api/admin/v2/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"items": [
{
"id": "text",
"name": "text",
"description": "text",
"active": true,
"trigger": "text",
"requestor_identity_type": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
},
"query_target": {
"query": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"escalation_policy": {
"interval_in_min": 1,
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
],
"max_extensions": 1,
"extension_duration_in_min": 1
},
"space": {
"space_id": "text",
"space_name": "text"
},
"creation_date": {},
"update_date": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}Note: Some fields are only applicable in self-serve access flows and are ignored or not required in automatic access flows. Refer to each field's description to understand when it applies.
ID or name of the space where to create the resource. If null or empty, the object is created without a space
Display name of the access flow
Description of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
The type of identity that can request access through this flow. HUMAN (default) = reachable only by human requestors; AGENT = reachable only by AI agents acting on behalf of a user. Allowed values: HUMAN, AGENT.
Duration of access granted to the user, in minutes
OK
Unique identifier of the access flow
Display name of the access flow
Description of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
The type of identity that can request access through this flow. HUMAN = reachable only by human requestors; AGENT = reachable only by AI agents acting on behalf of a user. Allowed values: HUMAN, AGENT.
Duration of access granted to the user, in minutes
ISO 8601 formatted date-time
ISO 8601 formatted date-time
POST /api/admin/v2/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1514
{
"name": "text",
"description": "text",
"active": true,
"trigger": "text",
"requestor_identity_type": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_reference": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_reference": "text"
},
"access_scope": {
"access_scope_reference": "text"
},
"query_target": {
"query": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"escalation_policy": {
"interval_in_min": 1,
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
],
"max_extensions": 1,
"extension_duration_in_min": 1
},
"request_for_others": true
}OK
{
"id": "text",
"name": "text",
"description": "text",
"active": true,
"trigger": "text",
"requestor_identity_type": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
},
"query_target": {
"query": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"escalation_policy": {
"interval_in_min": 1,
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
],
"max_extensions": 1,
"extension_duration_in_min": 1
},
"space": {
"space_id": "text",
"space_name": "text"
},
"creation_date": {},
"update_date": "text"
}OK
Unique identifier of the access flow
Display name of the access flow
Description of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
The type of identity that can request access through this flow. HUMAN = reachable only by human requestors; AGENT = reachable only by AI agents acting on behalf of a user. Allowed values: HUMAN, AGENT.
Duration of access granted to the user, in minutes
ISO 8601 formatted date-time
ISO 8601 formatted date-time
GET /api/admin/v2/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"id": "text",
"name": "text",
"description": "text",
"active": true,
"trigger": "text",
"requestor_identity_type": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
},
"query_target": {
"query": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"escalation_policy": {
"interval_in_min": 1,
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
],
"max_extensions": 1,
"extension_duration_in_min": 1
},
"space": {
"space_id": "text",
"space_name": "text"
},
"creation_date": {},
"update_date": "text"
}Display name of the access flow
Description of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
The type of identity that can request access through this flow. HUMAN (default) = reachable only by human requestors; AGENT = reachable only by AI agents acting on behalf of a user. Allowed values: HUMAN, AGENT.
Duration of access granted to the user, in minutes
OK
Unique identifier of the access flow
Display name of the access flow
Description of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
The type of identity that can request access through this flow. HUMAN = reachable only by human requestors; AGENT = reachable only by AI agents acting on behalf of a user. Allowed values: HUMAN, AGENT.
Duration of access granted to the user, in minutes
ISO 8601 formatted date-time
ISO 8601 formatted date-time
PUT /api/admin/v2/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1514
{
"name": "text",
"description": "text",
"active": true,
"trigger": "text",
"requestor_identity_type": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_reference": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_reference": "text"
},
"access_scope": {
"access_scope_reference": "text"
},
"query_target": {
"query": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"escalation_policy": {
"interval_in_min": 1,
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
],
"max_extensions": 1,
"extension_duration_in_min": 1
},
"request_for_others": true
}OK
{
"id": "text",
"name": "text",
"description": "text",
"active": true,
"trigger": "text",
"requestor_identity_type": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
},
"query_target": {
"query": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"escalation_policy": {
"interval_in_min": 1,
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
],
"max_extensions": 1,
"extension_duration_in_min": 1
},
"space": {
"space_id": "text",
"space_name": "text"
},
"creation_date": {},
"update_date": "text"
}No Content
No content
DELETE /api/admin/v2/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
OK
GET /api/v1/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}OK
{seconds}.{nanos}POST /api/v1/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 700
{
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
}
}OK
{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}OK
{seconds}.{nanos}GET /api/v1/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}OK
DELETE /api/v1/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"message": "text"
}OK
{seconds}.{nanos}PATCH /api/v1/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 700
{
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
}
}OK
{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}Last updated
Was this helpful?
